<?php

namespace WPRuby_Table_Rates\Core\Rules;

class Product_Category_Rule extends Abstract_Rule {

	public $category = 0;

	public function match( array $package ): bool {
		return in_array($this->category, $this->get_categories_ids($package));
	}

	private function get_categories_ids(array $package): array
	{
		$categories_ids = [];

		foreach ($package['contents'] as $item) {
			/** @var WC_Product $product */
			$product = $item['data'];
			$product_categories = array_map('intval', $product->get_category_ids());
			$categories_ids = array_merge($categories_ids, $product_categories);
		}

		return $categories_ids;

	}

}
